import "reflect-metadata";
import "zone.js";
import "tslib";

export default class Bootstrap
{
    private static isBooted: boolean = false;

    public static async init(): Promise<void>
    {
        if (Bootstrap.isBooted === true) {
            throw new Error("Application is already booted.");
        }
        await Bootstrap.startApp();
        Bootstrap.isBooted = true;
    }

    private static async startApp(): Promise<void>
    {

    }
};